#
# spec file for package xfce4-panel-plugins
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define panel_version 4.8.0

Name:           xfce4-panel-plugins
Url:            http://goodies.xfce.org/projects/panel-plugins/start
Version:        %{panel_version}
Release:        3.5.1
Summary:        Plugins for the Xfce panel
License:        GPL-2.0+
Group:          System/GUI/XFCE
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# base dependencies
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  update-desktop-files
BuildRequires:  xfce4-dev-tools
BuildRequires:  perl(XML::Parser)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libxfce4panel-1.0)
BuildRequires:  pkgconfig(libxfce4ui-1)
BuildRequires:  pkgconfig(libxfcegui4-1.0)
# sensors
BuildRequires:  pkgconfig(libnotify)
# cddrive
BuildRequires:  libcdio-devel
# cddrive
BuildRequires:  pkgconfig(libcddb)
# cellmodem
#BuildRequires:  pkgconfig(zlib)
BuildRequires:  zlib-devel
# weather
BuildRequires:  pkgconfig(libxml-2.0)
# verve cddrive
BuildRequires:  pkgconfig(dbus-glib-1)
# places clipman mpc verve cddrive
BuildRequires:  pkgconfig(exo-1)
# places
BuildRequires:  pkgconfig(thunar-vfs-1)
# clipman
BuildRequires:  pkgconfig(libglade-2.0)
# xkb
BuildRequires:  pkgconfig(libxklavier)
# clipman notes
BuildRequires:  pkgconfig(libxfconf-0)
# cddrive
BuildRequires:  pkgconfig(hal)
# cellmodem
BuildRequires:  pkgconfig(libusb-1.0)
# cellmodem
BuildRequires:  pkgconfig(libusb)
# verve
BuildRequires:  pkgconfig(libpcre)
# xkb
BuildRequires:  pkgconfig(librsvg-2.0)
# xkb
BuildRequires:  pkgconfig(libwnck-1.0)
# mpc
BuildRequires:  pkgconfig(libmpd)
# mailwatch
BuildRequires:  pkgconfig(gnutls)
%if 0%{?suse_version} >= 1140
# notes
BuildRequires:  pkgconfig(xfce4-vala) >= 4.6.99_git20101205
%endif
%if 0%{?suse_version} >= 1120
# clipman notes
BuildRequires:  pkgconfig(unique-1.0)
%endif
%ifnarch s390 s390x
# sensors
BuildRequires:  libsensors4-devel
%endif
# xfapplet
BuildRequires:  pkgconfig(libpanelapplet-2.0)
# xfapplet
BuildRequires:  orbit2-devel
# notes
BuildRequires:  vala
%define   battery_version         1.0.0
%define   cddrive_version         0.0.1
%define   cellmodem_version       0.0.5
%define   clipman_version         1.1.3
%define   cpufreq_version         1.0.0
%define   cpugraph_version        1.0.1
%define   datetime_version        0.6.1
%define   diskperf_version        2.3.0
%define   eyes_version            4.4.1
%define   fsguard_version         1.0.0
%define   genmon_version          3.2
%define   mailwatch_version       1.1.0
%define   mount_version           0.5.5
%define   mpc_version             0.3.6
%define   netload_version         1.0.0
%define   notes_version           1.7.7
%define   places_version          1.2.0
%define   quicklauncher_version   1.9.4
%define   radio_version           0.4.4
%define   sensors_version         1.0.0
%define   smartbookmark_version   0.4.2
%define   systemload_version      1.0.0
%define   timeout_version         1.0.0
%define   timer_version           0.6.1
%define   verve_version           1.0.0
%define   wavelan_version         0.5.6
%define   weather_version         0.7.4
%define   xfapplet_version        0.1.0
%define   xmms_version            0.5.3
%define   xkb_version             0.5.4.2
%ifarch s390 s390x
%define plugins_arch     %{nil}
%else
%define plugins_arch     sensors
%endif
%define plugins_common   places battery clipman cpufreq cpugraph datetime diskperf eyes fsguard genmon mailwatch mount mpc netload quicklauncher radio smartbookmark systemload time-out timer verve wavelan weather xmms cellmodem xfapplet xkb cddrive
%if 0%{?suse_version} >= 1140
%define plugins          %plugins_common %plugins_arch notes
%else
%define plugins          %plugins_common %plugins_arch
%endif
Source99:       %{name}-rpmlintrc
Source0:        xfce4-battery-plugin-%{battery_version}.tar.bz2
Source1:        xfce4-cellmodem-plugin-%{cellmodem_version}.tar.bz2
Source2:        xfce4-clipman-plugin-%{clipman_version}.tar.bz2
Source3:        xfce4-cpufreq-plugin-%{cpufreq_version}.tar.bz2
Source4:        xfce4-cpugraph-plugin-%{cpugraph_version}.tar.bz2
Source5:        xfce4-datetime-plugin-%{datetime_version}.tar.bz2
Source6:        xfce4-diskperf-plugin-%{diskperf_version}.tar.bz2
Source7:        xfce4-eyes-plugin-%{eyes_version}.tar.bz2
Source8:        xfce4-fsguard-plugin-%{fsguard_version}.tar.bz2
Source9:        xfce4-genmon-plugin-%{genmon_version}.tar.bz2
Source10:       xfce4-mailwatch-plugin-%{mailwatch_version}.tar.bz2
Source11:       xfce4-mount-plugin-%{mount_version}.tar.bz2
Source12:       xfce4-mpc-plugin-%{mpc_version}.tar.bz2
Source13:       xfce4-netload-plugin-%{netload_version}.tar.bz2
Source14:       xfce4-notes-plugin-%{notes_version}.tar.bz2
Source15:       xfce4-places-plugin-%{places_version}.tar.bz2
Source16:       xfce4-quicklauncher-plugin-%{quicklauncher_version}.tar.bz2
Source17:       xfce4-radio-plugin-%{radio_version}.tar.bz2
Source19:       xfce4-sensors-plugin-%{sensors_version}.tar.bz2
Source20:       xfce4-smartbookmark-plugin-%{smartbookmark_version}.tar.bz2
Source22:       xfce4-systemload-plugin-%{systemload_version}.tar.bz2
Source23:       xfce4-time-out-plugin-%{timeout_version}.tar.bz2
Source24:       xfce4-timer-plugin-%{timer_version}.tar.bz2
Source25:       xfce4-verve-plugin-%{verve_version}.tar.bz2
Source26:       xfce4-wavelan-plugin-%{wavelan_version}.tar.bz2
Source27:       xfce4-weather-plugin-%{weather_version}.tar.bz2
Source28:       xfce4-xfapplet-plugin-%{xfapplet_version}.tar.bz2
Source29:       xfce4-xkb-plugin-%{xkb_version}.tar.bz2
Source30:       xfce4-xmms-plugin-%{xmms_version}.tar.bz2
Source31:       xfce4-cddrive-plugin-%{cddrive_version}.tar.bz2
# PATCH-FIX-UPSTREAM xfce4-xmms-plugin-0.5.3-fix-missing-include.patch gber@opensuse.org -- Fixes a missing include
Patch6:         xfce4-xmms-plugin-%{xmms_version}-fix-missing-include.patch
# PATCH-FIX-UPSTREAM xfce4-mount-plugin-0.5.5.patch gber@opensuse.org -- Fixes a missing include (fix is already in upstream git)
Patch10:        xfce4-mount-plugin-%{mount_version}.patch
# PATCH-FIX-UPSTREAM xfce4-clipman-plugin-1.1.3-fix-exo-version.patch gber@opensuse.org -- Fixes build with exo >= 0.5.0
Patch13:        xfce4-clipman-plugin-%{clipman_version}-fix-exo-version.patch
# PATCH-FIX-UPSTREAM xfce4-genmon-plugin-3.2-fix-build-with-4.7.patch gber@opensuse.org -- Fixes build with xfce4-panel >= 4.7
Patch17:        xfce4-genmon-plugin-%{genmon_version}-fix-build-with-4.7.patch
# PATCH-FIX-UPSTREAM xfce4-cellmodem-plugin-0.0.5-fix-build-with-4.7.patch gber@opensuse.org -- Fixes build with xfce4-panel >= 4.7
Patch18:        xfce4-cellmodem-plugin-%{cellmodem_version}-fix-build-with-4.7.patch
# PATCH-FIX-UPSTREAM xfce4-mailwatch-plugin-1.1.0-fix-high-cpu-usage-while-checking-mail.patch bxo#4494 gber@opensuse.org -- Fixes high CPU usage when checking mail (backported from upstream git)
Patch22:        xfce4-mailwatch-plugin-%{mailwatch_version}-fix-high-cpu-usage-while-checking-mail.patch
# PATCH-FIX-UPSTREAM xfce4-clipman-plugin-1.1.3-fix-missing-return-value.patch gber@opensuse.org -- Fixes missing return value
Patch20:        xfce4-clipman-plugin-%{clipman_version}-fix-missing-return-value.patch
# PATCH-FIX-UPSTREAM xfce4-mailwatch-plugin-1.1.0-fix-build-with-4.7.patch gber@opensuse.org -- Fixes build with xfce4-panel >= 4.7
Patch23:        xfce4-mailwatch-plugin-%{mailwatch_version}-fix-build-with-4.7.patch
# PATCH-FIX-UPSTREAM xfce4-cddrive-plugin-0.0.1-fix-build-with-4.7.patch gber@opensuse.org -- Fixes build with exo >= 0.5.0
Patch26:        xfce4-cddrive-plugin-%{cddrive_version}-fix-build-with-4.7.patch
# PATCH-FIX-UPSTREAM xfce4-notes-plugin-1.7.7-add-missing-vapi-files.patch gber@opensuse.org -- Adds VAPI files for libxfcegui4 missing from xfce4-vala 4.7 (backported from upstream git)
Patch27:        xfce4-notes-plugin-%{notes_version}-add-missing-vapi-files.patch
# PATCH-FIX-UPSTREAM xfce4-places-plugin-1.2.0-fix-build-with-4.7.patch gber@opensuse.org -- Fixes build with exo >= 0.5.0
Patch29:        xfce4-places-plugin-%{places_version}-fix-build-with-4.7.patch
# PATCH-FIX-UPSTREAM xfce4-clipman-plugin-1.1.3-catch-null-value.patch gber@opensuse.org -- Fix a crash due to dereferencing a NULL pointer (backported from upstream git)
Patch30:        xfce4-clipman-plugin-%{clipman_version}-catch-null-value.patch
# PATCH-FIX-UPSTREAM xfce4-clipman-plugin-1.1.3-fix-memory-leak.patch gber@opensuse.org -- Fix a memory leak (backported from upstream git)
Patch31:        xfce4-clipman-plugin-%{clipman_version}-fix-memory-leak.patch
# PATCH-FIX-UPSTREAM xfce4-sensors-plugin-1.0.0-fix-memory-leaks.patch gber@opensuse.org -- Fixes memory leak (different fix is already in upstream git)
Patch35:        xfce4-sensors-plugin-%{sensors_version}-fix-memory-leaks.patch
# PATCH-FIX-UPSTREAM xfce4-sensors-plugin-1.0.0-fix-build-with-4.7.patch bxo#6938 gber@opensuse.org -- Port to xfce4-panel >= 4.7
Patch38:        xfce4-sensors-plugin-%{sensors_version}-fix-build-with-4.7.patch
# PATCH-FIX-UPSTREAM xfce4-genmon-plugin-3.2-prevent-zombies.patch deb#422572 bxo#3896 gber@opensuse.org -- Prevent zombie processes
Patch40:        xfce4-genmon-plugin-%{genmon_version}-prevent-zombies.patch
# PATCH-FIX-UPSTREAM xfce4-genmon-plugin-3.2-close-unused-pipes.patch bxo#4036 gber@opensuse.org -- Prevent hangs by closing unused pipes
Patch41:        xfce4-genmon-plugin-%{genmon_version}-close-unused-pipes.patch
# PATCH-FIX-UPSTREAM xfce4-quicklauncher-plugin-1.9.4-save-settings.patch bxo#3782 gber@opensuse.org -- Makes quicklauncher save its settings (backported from upstream git)
Patch42:        xfce4-quicklauncher-plugin-%{quicklauncher_version}-save-settings.patch
# PATCH-FIX-UPSTREAM xfce4-quicklauncher-plugin-1.9.4-fix-parameters-launcher.patch bxo#5752 gber@opensuse.org -- Fixes the "Parameters" launcher by calling xfce4-settings-manager
Patch43:        xfce4-quicklauncher-plugin-%{quicklauncher_version}-fix-parameters-launcher.patch
# PATCH-FIX-UPSTREAM xfce4-quicklauncher-plugin-1.9.4-fix-multiscreen.patch deb#481085 bxo#4323 gber@opensuse.org -- Lauches applications on the right screen in multiscreen setups
Patch44:        xfce4-quicklauncher-plugin-%{quicklauncher_version}-fix-multiscreen.patch
# PATCH-FIX-UPSTREAM xfce4-quicklauncher-plugin-1.9.4-add-missing-en-translation.patch bxo#3783 gber@opensuse.org -- Adds missing English translation (backported from upstream git)
Patch45:        xfce4-quicklauncher-plugin-%{quicklauncher_version}-add-missing-en-translation.patch
# PATCH-FIX-UPSTREAM xfce4-notes-plugin-1.7.7-fix-desktop-file.patch gber@opensuse.org -- Adds missing X-XFCE-Module-Path to .desktop files so the plugin can be loaded (backported from upstream git)
Patch46:        xfce4-notes-plugin-%{notes_version}-fix-desktop-file.patch
# PATCH-FIX-UPSTREAM xfce4-smartbookmark-plugin-0.4.2-fix-build-with-4.8.patch bxo#6939 gber@opensuse.org -- Fixes linking with libxfcegui4 and the absolute path in the desktop file
Patch47:        xfce4-smartbookmark-plugin-%{smartbookmark_version}-fix-build-with-4.8.patch
# PATCH-FIX-UPSTREAM xfce4-quicklauncher-plugin-1.9.4-fix-desktop-file.patch bxo#7015 gber@opensuse.org -- Adds missing X-XFCE-Module-Path to .desktop files so the plugin can be loaded
Patch48:        xfce4-quicklauncher-plugin-%{quicklauncher_version}-fix-desktop-file.patch
# PATCH-FIX-UPSTREAM xfce4-sensors-plugin-1.0.0-fix-uninitialized-memory.patch bxo#7248 gber@opensuse.org -- Fixes a crash due to uninitialized memory when no sensors are found
Patch49:        xfce4-sensors-plugin-%{sensors_version}-fix-uninitialized-memory.patch
# PATCH-FIX-UPSTREAM xfce4-timer-plugin-0.6.1-fix-invalid-function-type.patch gber@opensuse.org -- Fixes invalid function type causing crashes with the 4.8 panel
Patch50:        xfce4-timer-plugin-%{timer_version}-fix-invalid-function-type.patch
# PATCH-FIX-UPSTREAM xfce4-smartbookmark-plugin-0.4.2-fix-focusing-entry-widget.patch bxo#7256 gber@opensuse.org -- Fixes focusing the entry widget in the panel
Patch51:        xfce4-smartbookmark-plugin-%{smartbookmark_version}-fix-focusing-entry-widget.patch
# PATCH-FEATURE-OPENSUSE xfce4-smartbookmark-plugin-0.4.2-defaults.patch gber@opensuse.org -- Replaces Debian defaults and hides the label on to of the entry widget by default
Patch52:        xfce4-smartbookmark-plugin-%{smartbookmark_version}-defaults.patch
# PATCH-FIX-UPSTREAM xfce4-cpugraph-plugin-1.0.1-fix-buffer-overflow.patch bxo#7247 gber@opensuse.org -- Fixes a buffer overflow
Patch53:        xfce4-cpugraph-plugin-%{cpugraph_version}-fix-buffer-overflow.patch
# PATCH-FIX-UPSTREAM xfce4-mount-plugin-0.5.5-hide-gvfs-fuse-daemon-mount.patch bxo#7275 gber@opensuse.org -- Hides gvfs-fuse-daemon-mounts
Patch54:        xfce4-mount-plugin-%{mount_version}-hide-gvfs-fuse-daemon-mount.patch
# xfce4-timer-plugin-0.6.1-fix-timerinfo-truncation.patch bnc#742788 gber@opensuse.org -- Use a dynamically allocated string to hold timer data in order to prevent truncation in some locales
Patch55:        xfce4-timer-plugin-0.6.1-fix-timerinfo-truncation.patch
# xfce4-timer-plugin-0.6.1-fix-windows.patch gber@opensuse.org -- Set the add/edit dialog transient for the main configuration window and make the notification dialog modal
Patch56:        xfce4-timer-plugin-0.6.1-fix-windows.patch

%description
This is a collection of panel plugins for the Xfce desktop environment.

%prep
%setup -q -c -n xfce4-panel-plugins -a1 -a2 -a3 -a4 -a5 -a6 -a7 -a8 -a9 -a10 -a11 -a12 -a13 -a14 -a15 -a16 -a17 -a19 -a20 -a22 -a23 -a24 -a25 -a26 -a27 -a28 -a29 -a30 -a31
%patch6
%patch10
%patch13
%patch17
%patch18
%patch20 -p1
%patch22
%patch23
%patch26
%patch27
%patch29
%patch30
%patch31
%patch35
%patch38
%patch40
%patch41
%patch42
%patch43
%patch44
%patch45
%patch46
%patch47
%patch48
%patch49
%patch50
%patch51
%patch52
%patch53
%patch54
%patch55
%patch56
# force autotools reconfiguration
for name in cddrive clipman genmon cellmodem sensors places smartbookmark; do
  rm -f xfce4-${name}-plugin-*/configure
done

%build
# disable as-needed to fix build
export SUSE_ASNEEDED=0
export CFLAGS="%{optflags} -fno-strict-aliasing"
export VALAC="/usr/bin/valac"
for name in %{plugins} ; do
  cd xfce4-${name}-plugin-*
  if [ ! -f configure ] ; then
      ./autogen.sh || xdt-autogen
  fi
  %configure --disable-static
  make %{_smp_mflags} V=1
  cd ..
done

%install
for name in %{plugins} ; do
  cd xfce4-${name}-plugin-*
  %make_install
  cd ..
done
rm -f %{buildroot}%{_libdir}/xfce4/modules/*.a
rm -f %{buildroot}%{_libdir}/xfce4/modules/*.la
rm -f %{buildroot}%{_libdir}/xfce4/panel-plugins/*.la

%if 0%{?suse_version} >= 1140
# fix missing substitution
sed 's|@INTERNAL_PLUGIN_PATH@|%{_libdir}/xfce4/panel-plugins|' \
    xfce4-notes-plugin-%{notes_version}/src/xfce4-notes-plugin-47.desktop \
    >%{buildroot}%{_datadir}/xfce4/panel-plugins/xfce4-notes-plugin-47.desktop
%endif
# update desktop files
%suse_update_desktop_file xfce4-clipman-plugin-autostart
%suse_update_desktop_file -i xfce4-clipman-plugin
%if 0%{?suse_version} >= 1140
%suse_update_desktop_file -i xfce4-notes
%suse_update_desktop_file xfce4-notes-autostart
%endif
%ifnarch s390 s390x
%suse_update_desktop_file -r xfce4-sensors System Monitor
%endif
# find language files
for name in %{plugins} ; do
    mo_name=xfce4-$name-plugin
    lang_name=xfce4-panel-plugin-${name}.lang
    case $name in
        cpufreq)
            lang_name=xfce4-panel-plugin-cpufreq.lang
            ;;
        time-out)
            lang_name=xfce4-panel-plugin-timeout.lang
            ;;
    esac
    rm -rf %{buildroot}%{_datadir}/locale/{ast,kk,tl_PH,ur_PK}
%find_lang $mo_name $lang_name || touch $lang_name
done
%fdupes %{buildroot}%{_datadir}

%clean
rm -rf %{buildroot}

%package -n xfce4-panel-plugin-battery

Version:        %{battery_version}
Release:        2.5.1
Summary:        Battery monitoring plugin for the Xfce panel
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-battery-plugin
Requires:       xfce4-panel >= %{panel_version}

%description -n xfce4-panel-plugin-battery
The Battery plugin allows to monitor battery levels and can execute actions on
low and critcal levels.

%package -n xfce4-panel-plugin-cddrive

Version:        %{cddrive_version}
Release:        19.5.1
Summary:        CD-ROM drive management plugin for the Xfce panel
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-cddrive-plugin
Requires:       xfce4-panel >= %{panel_version}
Requires:       hal

%description -n xfce4-panel-plugin-cddrive
The CD drive plugin provides management functions for CD-ROM drives, it can
open and close the tray, mount and unmount filesystems on the disc and display
various information about the disc's contents.

%package -n xfce4-panel-plugin-cellmodem

Version:        %{cellmodem_version}
Release:        24.5.1
Summary:        Cellphone modem monitor plugin for the Xfce panel
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-cellmodem-plugin
Requires:       xfce4-panel >= %{panel_version}

%description -n xfce4-panel-plugin-cellmodem
The Cell Modem plugin is a monitoring plugin for cellular phone modems. It can
report network type, provider and signal quality for GPRS/UMTS(3G)/HSDPA(3.5G)
modem cards and can provide quick visual feedback on modem and registration
status via LEDs. Additionally it can ask for the PIN if needed by the modem. It
works with almost all cards which support an out-of-band channel for monitoring
purposes.

%package -n xfce4-panel-plugin-clipman

Version:        %{clipman_version}
Release:        18.5.1
Summary:        Clipboard manager plugin for the Xfce panel
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-clipman-plugin
Requires:       xfce4-panel >= %{panel_version}

%description -n xfce4-panel-plugin-clipman
This is a clipboard manager which comes with a plugin for the Xfce Panel. It
stores the X selection (primary and clipboard) contents even after an
application has quit and is able to handle text and image data. Furthermore, it
can be configured to execute arbitrary actions when the selection content
matches specific regular expressions.

%package -n xfce4-panel-plugin-clipman-doc

Version:        %{clipman_version}
Release:        4.5.1
Summary:        Documentation for xfce4-panel-plugin-clipman
Group:          Documentation/HTML
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-clipman-plugin
Requires:       xfce4-panel-plugin-clipman = %{clipman_version}

%description -n xfce4-panel-plugin-clipman-doc
This is a clipboard manager which comes with a plugin for the Xfce Panel. It
stores the X selection (primary and clipboard) contents even after an
application has quit and is able to handle text and image data. Furthermore, it
can be configured to execute arbitrary actions when the selection content
matches specific regular expressions.

This package contains the user documentation for xfce4-panel-plugin-clipman.

%package -n xfce4-panel-plugin-cpufreq

Version:        %{cpufreq_version}
Release:        3.5.1
Summary:        CPU frequency scaling monitor plugin for the Xfce panel
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-cpufreq-plugin
Requires:       xfce4-panel >= %{panel_version}

%description -n xfce4-panel-plugin-cpufreq
The CpuFreq scaling monitor plugin can be used to monitor the current CPU
frequency and currently active governor.

%package -n xfce4-panel-plugin-cpugraph

Version:        %{cpugraph_version}
Release:        6.5.1
Summary:        CPU graph plugin for the Xfce panel
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-cpugraph-plugin
Requires:       xfce4-panel >= %{panel_version}

%description -n xfce4-panel-plugin-cpugraph
The CPU Graph plugin diplays a customizable graph of the CPU load of either
a specific CPU or all CPUs combined.

%package -n xfce4-panel-plugin-datetime

Version:        %{datetime_version}
Release:        18.5.1
Summary:        Date and time plugin for the Xfce panel
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-datetime-plugin
Requires:       xfce4-panel >= %{panel_version}

%description -n xfce4-panel-plugin-datetime
The date and time plugin displays the current date and time on the panel and
can open a calendar when clicked.

%package -n xfce4-panel-plugin-diskperf

Version:        %{diskperf_version}
Release:        3.5.1
Summary:        Disk performance plugin for the Xfce panel
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-diskperf-plugin
Requires:       xfce4-panel >= %{panel_version}

%description -n xfce4-panel-plugin-diskperf
The DiskPerf plugin displays the disk/partition performance as trasferred data
per second.

%package -n xfce4-panel-plugin-eyes

Version:        %{eyes_version}
Release:        2.5.1
Summary:        Eyes plugin for the Xfce panel
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-eyes-plugin
Requires:       xfce4-panel >= %{panel_version}

%description -n xfce4-panel-plugin-eyes
The Eyes plugin adds moving eyes to the panel which watch your activities.

%package -n xfce4-panel-plugin-fsguard

Version:        %{fsguard_version}
Release:        4.5.1
Summary:        Filesystem space monitoring plugin for the Xfce panel
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-fsguard-plugin
Requires:       xfce4-panel >= %{panel_version}

%description -n xfce4-panel-plugin-fsguard
The FSGuard plugin constantly monitors free space of a given mountpoint and
displays it as an icon in the panel.

%package -n xfce4-panel-plugin-genmon

Version:        %{genmon_version}
Release:        24.5.1
Summary:        Generic monitoring plugin for the Xfce panel
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-genmon-plugin
Requires:       xfce4-panel >= %{panel_version}

%description -n xfce4-panel-plugin-genmon
The Generic Monitor plugin is intended for custom monitoring tasks and
periodically spawns a given application, captures its output and displays the
result in form of an image, a bar, a button and a personalized tooltip in the
panel.

%package -n xfce4-panel-plugin-mailwatch

Version:        %{mailwatch_version}
Release:        6.5.1
Summary:        Versatile mail checking plugin for the Xfce panel
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-mailwatch-plugin
Requires:       xfce4-panel >= %{panel_version}

%description -n xfce4-panel-plugin-mailwatch
The Mailwatch plugin is a multi-protocol, multi-mailbox mail checking tool
which supports a variety of protocols and local mailbox formats. It can check
multiple locations and execute cutoms actions when it find new mail.

%package -n xfce4-panel-plugin-mount

Version:        %{mount_version}
Release:        18.5.1
Summary:        Filesystem mounting plugin for the Xfce panel
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-mount-plugin
Requires:       xfce4-panel >= %{panel_version}

%description -n xfce4-panel-plugin-mount
The Mount plugin allows to mount and unmount filesystems from the panel.

%package -n xfce4-panel-plugin-mpc

Version:        %{mpc_version}
Release:        3.5.1
Summary:        MPD client plugin for the Xfce panel
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-mpc-plugin
Requires:       xfce4-panel >= %{panel_version}

%description -n xfce4-panel-plugin-mpc
The Mpc plugin is a simple Music Player Daemon client which can control
playback and show the currently playing song.

%package -n xfce4-panel-plugin-netload

Version:        %{netload_version}
Release:        4.5.1
Summary:        Network load monitoring plugin for the Xfce panel
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-netload-plugin
Requires:       xfce4-panel >= %{panel_version}

%description -n xfce4-panel-plugin-netload
The Netload plugin allows to monitor the netowrk load of a given network
interface.

%if 0%{?suse_version} >= 1140

%package -n xfce4-panel-plugin-notes

Version:        %{notes_version}
Release:        6.5.1
Summary:        Note-taking plugin for the Xfce panel
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-notes-plugin
Requires:       xfce4-panel >= %{panel_version}

%description -n xfce4-panel-plugin-notes
The Notes plugin provides the equivalent to post-it notes on the Xfce desktop
and allows to quickly take and store small notes.

%endif

%package -n xfce4-panel-plugin-places

Version:        %{places_version}
Release:        17.5.1
Summary:        Places menu plugin for the Xfce panel
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-places-plugin
Requires:       xfce4-panel >= %{panel_version}
Requires:       thunar-vfs

%description -n xfce4-panel-plugin-places
The Places plugin provides a menu with quick access to folders,
documents, and removable media.

%package -n xfce4-panel-plugin-quicklauncher

Version:        %{quicklauncher_version}
Release:        24.5.1
Summary:        Application launcher plugin for the Xfce panel
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-quicklauncher-plugin
Requires:       xfce4-panel >= %{panel_version}

%description -n xfce4-panel-plugin-quicklauncher
The Quicklauncher plugin offers application launchers for the panel which can
be displayed on multiple lines.

%package -n xfce4-panel-plugin-radio

Version:        %{radio_version}
Release:        6.5.1
Summary:        Radio plugin for the Xfce panel
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-radio-plugin
Requires:       xfce4-panel >= %{panel_version}

%description -n xfce4-panel-plugin-radio
The Radio plugin allows to control a V4l radio device, it can turn your radio
on and off, tune it to some frequency and manage station presets.


%ifnarch s390 s390x

%package -n xfce4-panel-plugin-sensors

Version:        %{sensors_version}
Release:        4.5.1
Summary:        Hardware sensor plugin for the Xfce panel
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-sensors-plugin
Requires:       xfce4-panel >= %{panel_version}

%description -n xfce4-panel-plugin-sensors
The Sensors plugin and standalone application allow to monitor various hardware
sensors suported by libsensors.

%package -n xfce4-panel-plugin-sensors-devel

Version:        %{sensors_version}
Release:        4.5.1
Summary:        Hardware sensor plugin for the Xfce panel
Group:          Development/Libraries/C and C++
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-sensors-plugin
Requires:       xfce4-panel-plugin-sensors = %{sensors_version}

%description -n xfce4-panel-plugin-sensors-devel
The Sensors plugin and standalone application allow to monitor various hardware
sensors suported by libsensors.

This package contains the development files needed to develop applications
based on libxfce4sensors.

%endif

%package -n xfce4-panel-plugin-smartbookmark

Version:        %{smartbookmark_version}
Release:        24.5.1
Summary:        Smart bookmark plugin for the Xfce panel
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-smartbookmark-plugin
Requires:       xfce4-panel >= %{panel_version}

%description -n xfce4-panel-plugin-smartbookmark
The Smartbookmark plugin follows the smart bookmark concept and allows users to
send requests to websites through default browser.

%package -n xfce4-panel-plugin-systemload

Version:        %{systemload_version}
Release:        4.5.1
Summary:        System load monitoring plugin for the Xfce panel
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-systemload-plugin
Requires:       xfce4-panel >= %{panel_version}

%description -n xfce4-panel-plugin-systemload
The Systemload plugin can display the current CPU load, used memory and swap
space as well as the system uptime in the panel.

%package -n xfce4-panel-plugin-timeout

Version:        %{timeout_version}
Release:        4.5.1
Summary:        Periodical break plugin for the Xfce panel
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-time-out-plugin
Requires:       xfce4-panel >= %{panel_version}

%description -n xfce4-panel-plugin-timeout
The Time-out plugin allows to take breaks from computer work in configurable,
periodical intervals and will provide a notification and lock the screen each
the break time has been reached.

%package -n xfce4-panel-plugin-timer

Version:        %{timer_version}
Release:        18.5.1
Summary:        Alarm clock plugin for the Xfce panel
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-timer-plugin
Requires:       xfce4-panel >= %{panel_version}

%description -n xfce4-panel-plugin-timer
The Timer plugin provides the functionality of an alarm clock and will run an
alarm at a specified time or at the end of a specified countdown period.

%package -n xfce4-panel-plugin-verve

Version:        %{verve_version}
Release:        4.5.1
Summary:        Command line plugin for the Xfce panel
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-verve-plugin
Requires:       xfce4-panel >= %{panel_version}

%description -n xfce4-panel-plugin-verve
The Verve panel plugin is a command line plugin for the Xfce panel which
supports a command history, auto-completion, keyboard-shortcut focus grabbing and
opening URLs.

%package -n xfce4-panel-plugin-wavelan

Version:        %{wavelan_version}
Release:        6.5.1
Summary:        WLAN monitoring plugin for the Xfce panel
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-wavelan-plugin
Requires:       xfce4-panel >= %{panel_version}

%description -n xfce4-panel-plugin-wavelan
The WaveLAN plugin can monitor a wireless LAN interface and display signal
state, quality and the network name (SSID).

%package -n xfce4-panel-plugin-weather

Version:        %{weather_version}
Release:        3.5.1
Summary:        Weather condition monitoring plugin for the Xfce panel
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-weather-plugin
Requires:       xfce4-panel >= %{panel_version}

%description -n xfce4-panel-plugin-weather
The Weather plugin can show the current temperature and weather condition,
using weather data provided by xoap.weather.com.

%package -n xfce4-panel-plugin-xfapplet

Version:        %{xfapplet_version}
Release:        24.5.1
Summary:        GNOME panel applet compatibility plugin for the Xfce panel
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-xfapplet-plugin
Requires:       gnome-applets
Requires:       xfce4-panel >= %{panel_version}

%description -n xfce4-panel-plugin-xfapplet
The XfApplet plugin allows to use applets designed for the GNOME panel inside
the Xfce panel and supports most GNOME applets.

%package -n xfce4-panel-plugin-xmms

Version:        %{xmms_version}
Release:        3.5.1
Summary:        XMMS plugin for the Xfce panel
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-xmms-plugin
Requires:       xfce4-panel >= %{panel_version}

%description -n xfce4-panel-plugin-xmms
The XMMS plugin allows to control the XMMS, Beep or Audacious audio players.

%package -n xfce4-panel-plugin-xkb

Version:        %{xkb_version}
Release:        0.5.1
Summary:        XKB layout switcher plugin for the Xfce panel
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-xkb-plugin
Requires:       xfce4-panel >= %{panel_version}

%description -n xfce4-panel-plugin-xkb
The XKB plugin allows to setup and switch between multiple XKB keyboard
layouts.

%if 0%{?suse_version} >= 1140

%post -n xfce4-panel-plugin-clipman
%desktop_database_post
%icon_theme_cache_post

%postun -n xfce4-panel-plugin-clipman
%desktop_database_postun
%icon_theme_cache_postun

%post -n xfce4-panel-plugin-notes
%desktop_database_post
%icon_theme_cache_post

%postun -n xfce4-panel-plugin-notes
%desktop_database_postun
%icon_theme_cache_postun

%post -n xfce4-panel-plugin-sensors
%desktop_database_post
%icon_theme_cache_post

%postun -n xfce4-panel-plugin-sensors
%desktop_database_postun
%icon_theme_cache_postun

%post -n xfce4-panel-plugin-battery
%icon_theme_cache_post

%postun -n xfce4-panel-plugin-battery
%icon_theme_cache_postun

%post -n xfce4-panel-plugin-cpufreq
%icon_theme_cache_post

%postun -n xfce4-panel-plugin-cpufreq
%icon_theme_cache_postun

%post -n xfce4-panel-plugin-cpugraph
%icon_theme_cache_post

%postun -n xfce4-panel-plugin-cpugraph
%icon_theme_cache_postun

%post -n xfce4-panel-plugin-eyes
%icon_theme_cache_post

%postun -n xfce4-panel-plugin-eyes
%icon_theme_cache_postun

%post -n xfce4-panel-plugin-fsguard
%icon_theme_cache_post

%postun -n xfce4-panel-plugin-fsguard
%icon_theme_cache_postun

%post -n xfce4-panel-plugin-mailwatch
%icon_theme_cache_post

%postun -n xfce4-panel-plugin-mailwatch
%icon_theme_cache_postun

%post -n xfce4-panel-plugin-mount
%icon_theme_cache_post

%postun -n xfce4-panel-plugin-mount
%icon_theme_cache_postun

%post -n xfce4-panel-plugin-netload
%icon_theme_cache_post

%postun -n xfce4-panel-plugin-netload
%icon_theme_cache_postun

%post -n xfce4-panel-plugin-radio
%icon_theme_cache_post

%postun -n xfce4-panel-plugin-radio
%icon_theme_cache_postun

%post -n xfce4-panel-plugin-timeout
%icon_theme_cache_post

%postun -n xfce4-panel-plugin-timeout
%icon_theme_cache_postun

%post -n xfce4-panel-plugin-weather
%icon_theme_cache_post

%postun -n xfce4-panel-plugin-weather
%icon_theme_cache_postun
%endif

%files -n xfce4-panel-plugin-battery -f xfce4-panel-plugin-battery.lang
%defattr(-,root,root)
%{_libexecdir}/xfce4/panel-plugins/xfce4-battery-plugin
%{_datadir}/icons/hicolor/*/apps/xfce4-battery-plugin.*
%{_datadir}/xfce4/panel-plugins/battmon.desktop

%files -n xfce4-panel-plugin-cddrive -f xfce4-panel-plugin-cddrive.lang
%defattr(-,root,root)
%{_libexecdir}/xfce4/panel-plugins/xfce4-cddrive-plugin
%{_datadir}/xfce4/panel-plugins/cddrive.desktop

%files -n xfce4-panel-plugin-cellmodem -f xfce4-panel-plugin-cellmodem.lang
%defattr(-,root,root)
%{_libexecdir}/xfce4/panel-plugins/xfce4-cellmodem-plugin
%{_datadir}/xfce4/panel-plugins/cellmodem.desktop

%files -n xfce4-panel-plugin-clipman -f xfce4-panel-plugin-clipman.lang
%defattr(-,root,root)
%{_datadir}/xfce4/panel-plugins/xfce4-clipman-plugin.desktop
%{_sysconfdir}/xdg/autostart/xfce4-clipman-plugin-autostart.desktop
%config %{_sysconfdir}/xdg/xfce4/panel/xfce4-clipman-actions.xml
%dir %{_sysconfdir}/xdg/xfce4/panel
%{_libexecdir}/xfce4/panel-plugins/xfce4-clipman-plugin
%{_bindir}/xfce4-clipman
%{_bindir}/xfce4-clipman-settings
%{_bindir}/xfce4-popup-clipman
%{_datadir}/applications/xfce4-clipman-plugin.desktop
%{_datadir}/icons/hicolor/16x16/apps/xfce4-clipman-plugin.png
%{_datadir}/icons/hicolor/22x22/apps/xfce4-clipman-plugin.png
%{_datadir}/icons/hicolor/24x24/apps/xfce4-clipman-plugin.png
%{_datadir}/icons/hicolor/32x32/apps/xfce4-clipman-plugin.png
%{_datadir}/icons/hicolor/scalable/apps/xfce4-clipman-plugin.svg

%files -n xfce4-panel-plugin-clipman-doc
%defattr(-,root,root)
%doc %dir %{_datadir}/xfce4/doc
%doc %dir %{_datadir}/xfce4/doc/*
%doc %dir %{_datadir}/xfce4/doc/*/images
%doc %{_datadir}/xfce4/doc/*/*clipman*.html
%doc %{_datadir}/xfce4/doc/*/images/*clipman*

%files -n xfce4-panel-plugin-cpufreq -f xfce4-panel-plugin-cpufreq.lang
%defattr(-,root,root)
%{_libexecdir}/xfce4/panel-plugins/xfce4-cpufreq-plugin
%{_datadir}/icons/hicolor/*/apps/xfce4-cpufreq-plugin.*
%{_datadir}/xfce4/panel-plugins/xfce4-cpufreq-plugin.desktop

%files -n xfce4-panel-plugin-cpugraph -f xfce4-panel-plugin-cpugraph.lang
%defattr(-,root,root)
%{_libexecdir}/xfce4/panel-plugins/xfce4-cpugraph-plugin
%{_datadir}/xfce4/panel-plugins/cpugraph.desktop
%{_datadir}/icons/hicolor/*/apps/xfce4-cpugraph-plugin.png

%files  -n xfce4-panel-plugin-datetime -f xfce4-panel-plugin-datetime.lang
%defattr(-,root,root)
%{_libdir}/xfce4/panel-plugins/libdatetime.*
%{_datadir}/xfce4/panel-plugins/datetime.desktop

%files -n xfce4-panel-plugin-diskperf -f xfce4-panel-plugin-diskperf.lang
%defattr(-,root,root)
%{_libexecdir}/xfce4/panel-plugins/xfce4-diskperf-plugin
%{_datadir}/xfce4/panel-plugins/diskperf.desktop

%files  -n xfce4-panel-plugin-eyes -f xfce4-panel-plugin-eyes.lang
%defattr(-,root,root)
%{_libexecdir}/xfce4/panel-plugins/xfce4-eyes-plugin
%{_datadir}/icons/hicolor/*/apps/xfce4-eyes.*
%dir %{_datadir}/xfce4/eyes
%{_datadir}/xfce4/eyes/*
%{_datadir}/xfce4/panel-plugins/eyes.desktop

%files -n xfce4-panel-plugin-fsguard -f xfce4-panel-plugin-fsguard.lang
%defattr(-,root,root)
%{_libexecdir}/xfce4/panel-plugins/xfce4-fsguard-plugin
%{_datadir}/xfce4/panel-plugins/fsguard.desktop
%{_datadir}/icons/hicolor/*/apps/xfce4-fsguard-plugin*

%files -n xfce4-panel-plugin-genmon -f xfce4-panel-plugin-genmon.lang
%defattr(-,root,root)
%{_libexecdir}/xfce4/panel-plugins/xfce4-genmon-plugin
%{_datadir}/xfce4/panel-plugins/genmon.desktop

%files -n xfce4-panel-plugin-mailwatch -f xfce4-panel-plugin-mailwatch.lang
%defattr(-,root,root)
%{_libexecdir}/xfce4/panel-plugins/xfce4-mailwatch-plugin
%{_datadir}/icons/hicolor/*/apps/xfce-n*mail.*
%{_datadir}/xfce4/panel-plugins/mailwatch.desktop
%doc %dir %{_datadir}/xfce4/doc
%doc %dir %{_datadir}/xfce4/doc/*
%doc %dir %{_datadir}/xfce4/doc/*/images
%doc %{_datadir}/xfce4/doc/*/*mailwatch*.html
%doc %{_datadir}/xfce4/doc/*/images/*mailwatch*

%files -n xfce4-panel-plugin-mount -f xfce4-panel-plugin-mount.lang
%defattr(-,root,root)
%{_libexecdir}/xfce4/panel-plugins/xfce4-mount-plugin
%{_datadir}/icons/hicolor/*/apps/xfce-mount.*
%{_datadir}/xfce4/panel-plugins/xfce4-mount-plugin.desktop

%files -n xfce4-panel-plugin-mpc -f xfce4-panel-plugin-mpc.lang
%defattr(-,root,root)
%{_libexecdir}/xfce4/panel-plugins/xfce4-mpc-plugin
%{_datadir}/xfce4/panel-plugins/xfce4-mpc-plugin.desktop

%files -n xfce4-panel-plugin-netload -f xfce4-panel-plugin-netload.lang
%defattr(-,root,root)
%{_libexecdir}/xfce4/panel-plugins/xfce4-netload-plugin
%{_datadir}/xfce4/panel-plugins/netload.desktop
%{_datadir}/icons/hicolor/*/apps/xfce4-netload-plugin.*

%if 0%{?suse_version} >= 1140

%files -n xfce4-panel-plugin-notes -f xfce4-panel-plugin-notes.lang
%defattr(-,root,root)
%{_bindir}/xfce4-notes
%{_bindir}/xfce4-notes-settings
%{_bindir}/xfce4-popup-notes
%{_datadir}/xfce4-notes-plugin
%{_datadir}/icons/hicolor/*/apps/xfce4-notes-plugin.*
%{_datadir}/xfce4/panel-plugins/xfce4-notes-plugin-47.desktop
%{_datadir}/applications/xfce4-notes.desktop
%{_libdir}/xfce4/panel-plugins/libnotes.so.0.0.0
%{_libdir}/xfce4/panel-plugins/libnotes.so
%{_libdir}/xfce4/panel-plugins/libnotes.so.0
%{_sysconfdir}/xdg/autostart/xfce4-notes-autostart.desktop
%endif

%files -n xfce4-panel-plugin-places -f xfce4-panel-plugin-places.lang
%defattr(-,root,root)
%{_bindir}/xfce4-popup-places
%{_libexecdir}/xfce4/panel-plugins/xfce4-places-plugin
%{_datadir}/xfce4/panel-plugins/places.desktop

%files -n xfce4-panel-plugin-quicklauncher -f xfce4-panel-plugin-quicklauncher.lang
%defattr(-,root,root)
%{_libdir}/xfce4/panel-plugins/libquicklauncher*
%{_datadir}/xfce4/panel-plugins/quicklauncher.desktop

%files -n xfce4-panel-plugin-radio -f xfce4-panel-plugin-radio.lang
%defattr(-,root,root)
%{_libexecdir}/xfce4/panel-plugins/xfce4-radio-plugin
%{_datadir}/icons/hicolor/*/apps/xfce-radio.*
%{_datadir}/xfce4/panel-plugins/radio.desktop

%ifnarch s390 s390x

%files -n xfce4-panel-plugin-sensors -f xfce4-panel-plugin-sensors.lang
%defattr(-,root,root)
%{_bindir}/xfce4-sensors
%{_libexecdir}/xfce4/panel-plugins/xfce4-sensors-plugin
%{_datadir}/icons/hicolor/*/apps/xfce-sensors.*
%{_datadir}/applications/xfce4-sensors.desktop
%{_datadir}/xfce4/panel-plugins/xfce4-sensors-plugin.desktop
%dir %{_libdir}/xfce4
%dir %{_libdir}/xfce4/modules
%{_libdir}/xfce4/modules/libxfce4sensors.so.*

%files -n xfce4-panel-plugin-sensors-devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/*.pc
%{_libdir}/xfce4/modules/libxfce4sensors.so

%endif

%files -n xfce4-panel-plugin-smartbookmark -f xfce4-panel-plugin-smartbookmark.lang
%defattr(-,root,root)
%{_libdir}/xfce4/panel-plugins/libsmartbookmark*
%{_datadir}/xfce4/panel-plugins/smartbookmark.desktop

%files -n xfce4-panel-plugin-systemload -f xfce4-panel-plugin-systemload.lang
%defattr(-,root,root)
%{_libexecdir}/xfce4/panel-plugins/xfce4-systemload-plugin
%{_datadir}/xfce4/panel-plugins/systemload.desktop

%files -n xfce4-panel-plugin-timeout -f xfce4-panel-plugin-timeout.lang
%defattr(-,root,root)
%{_libexecdir}/xfce4/panel-plugins/xfce4-time-out-plugin
%{_datadir}/icons/hicolor/*/apps/xfce4-time-out-plugin.*
%{_datadir}/xfce4/panel-plugins/xfce4-time-out-plugin.desktop

%files -n xfce4-panel-plugin-timer -f xfce4-panel-plugin-timer.lang
%defattr(-,root,root)
%{_libexecdir}/xfce4/panel-plugins/xfce4-timer
%{_datadir}/xfce4/panel-plugins/xfce4-timer.desktop

%files -n xfce4-panel-plugin-verve -f xfce4-panel-plugin-verve.lang
%defattr(-,root,root)
%{_bindir}/verve-focus
%{_libexecdir}/xfce4/panel-plugins/xfce4-verve-plugin
%{_datadir}/xfce4/panel-plugins/xfce4-verve-plugin.desktop

%files -n xfce4-panel-plugin-wavelan -f xfce4-panel-plugin-wavelan.lang
%defattr(-,root,root)
%{_libexecdir}/xfce4/panel-plugins/xfce4-wavelan-plugin
%{_datadir}/xfce4/panel-plugins/wavelan.desktop

%files -n xfce4-panel-plugin-weather -f xfce4-panel-plugin-weather.lang
%defattr(-,root,root)
%{_libexecdir}/xfce4/panel-plugins/xfce4-weather-plugin
%{_datadir}/icons/hicolor/*/apps/xfce4-weather.*
%dir %{_datadir}/xfce4/weather
%{_datadir}/xfce4/weather/*
%{_datadir}/xfce4/panel-plugins/weather.desktop

%files -n xfce4-panel-plugin-xfapplet -f xfce4-panel-plugin-xfapplet.lang
%defattr(-,root,root)
%{_libexecdir}/xfce4/panel-plugins/xfce4-xfapplet-plugin
%{_datadir}/pixmaps/xfapplet*.svg
%dir %{_datadir}/xfce4-xfapplet-plugin
%dir %{_datadir}/xfce4-xfapplet-plugin/ui
%{_datadir}/xfce4-xfapplet-plugin/ui/*
%{_datadir}/xfce4/panel-plugins/xfapplet.desktop

%files -n xfce4-panel-plugin-xkb -f xfce4-panel-plugin-xkb.lang
%defattr(-,root,root)
%{_libexecdir}/xfce4/panel-plugins/xfce4-xkb-plugin
%{_datadir}/xfce4/panel-plugins/xkb-plugin.desktop
%dir %{_datadir}/xfce4/xkb
%{_datadir}/xfce4/xkb/*

%files -n xfce4-panel-plugin-xmms -f xfce4-panel-plugin-xmms.lang
%defattr(-,root,root)
%{_libexecdir}/xfce4/panel-plugins/xfce4-xmms-plugin
%{_datadir}/xfce4/panel-plugins/xfce4-xmms-plugin.desktop
%dir %{_datadir}/xfce4/xfce4-xmms-plugin
%{_datadir}/xfce4/xfce4-xmms-plugin/*

%changelog
* Thu Feb  9 2012 gber@opensuse.org
- added xfce4-timer-plugin-0.6.1-fix-windows.patch
  the add/edit dialog transient for the main configuration window
  and to make the notification dialog modal
- added xfce4-timer-plugin-0.6.1-fix-timerinfo-truncation.patch
  which uses a dynamically allocated string to hold timer data in
  order to prevent truncation in some locales (bnc#742788)
* Tue Dec 13 2011 gber@opensuse.org
- update to version 0.5.4.2
  - text size on icon is now adjustable
  - new flag: Cambodia
  - Bosnian flag renamed from bs to ba
  - code cleanup
  - fixing memory leaks (bnc#734851)
  - scrolling the plugin button cycle through layouts
  - remove unnedeed g_strdup as g_strconcat already allocates memory
  - switch to libxfce4ui, updated dependencies
  - compilation with libxklavier 5.0 API
  - prevent crashing when removing from panel
  - new flag of Georgia
  - new flag of Serbia, removed flag of Yugoslavia as obsoleted
- dropped all patches, all fixes have been integrated upstream
* Fri Feb 18 2011 gber@opensuse.org
- call %%desktop_database_post/un
- call %%icon_theme_cache_post/un
* Sat Feb 12 2011 gber@opensuse.org
- added xfce4-mount-plugin-0.5.5-hide-gvfs-fuse-daemon-mount.patch
  which hides gvfs-fuse-daemon mounts (bxo#7275)
* Wed Feb  9 2011 gber@opensuse.org
- remove xfce4-governor-plugin which is broken and unmaintained
* Wed Feb  9 2011 gber@opensuse.org
- added xfce4-cpugraph-plugin-1.0.1-fix-buffer-overflow.patch which
  fixes a buffer overflow (bxo#7247)
* Tue Feb  8 2011 gber@opensuse.org
- added
  xfce4-smartbookmark-plugin-0.4.2-fix-focusing-entry-widget.patch
  in order to fix focusing of the entry widget (bxo#7256)
- added xfce4-smartbookmark-plugin-0.4.2-defaults.patch which
  makes bnc the default and hides the label
* Mon Feb  7 2011 gber@opensuse.org
- updated xfce4-eyes-plugin to version 4.4.1
  - bugfixes
  - cleanup
  - translation updates
- dropped obsolete xfce4-eyes-plugin-4.4.0.patch
- updated xfce4-battery-plugin to version 1.0.0
  - show "No battery, AC online" when no battery is inserted
  - bugfixes
  - translation updates
- dropped obsolete
  xfce4-battery-plugin-0.5.1-fix-fan-temperature-detection.patch,
  xfce4-battery-plugin-0.5.1-fix-missing-libtool.patch,
  xfce4-battery-plugin-0.5.1-no-battery.patch,
  xfce4-battery-plugin-0.5.1.patch, and
  xfce4-battery-plugin-0.5.1-use-sysfs.patch
- completely removed xfce4-indicator-plugin, it needs libindicator
  which is not not used by openSUSE and not available in Factory
- renamed xfce4-fix-warnings.patch to
  xfce4-clipman-plugin-1.1.3-fix-missing-return-value.patch
- added patch tags
* Thu Feb  3 2011 gber@opensuse.org
- update xfce4-weather-plugin to version 0.7.4
  - add location detection based on archive.xfce.org/geolocation
  - add support for ipv6 proxies
  - bugfixes
- drop obsolete xfce4-weather-plugin-0.7.3-fix-memory-leaks.patch
  and xfce4-weather-plugin-0.7.3.patch
- added xfce4-timer-plugin-0.6.1-fix-invalid-function-type.patch
  which fixes an invalid function type causing crashes with the 4.8
  panel
- updated xfce4-xmms-plugin to version 0.5.3:
  - bugfixes
  - compatibility with xfce4-panel 4.8
  - translation updates
- rebased and renamed xfce4-xmms-plugin-0.5.2.patch to
  xfce4-xmms-plugin-0.5.3-fix-missing-include.patch
- dropped xfce4-smartbookmark-plugin-0.4.2-fix-desktop-file.patch
  and added
  xfce4-smartbookmark-plugin-0.4.2-fix-build-with-4.8.patch which
  also fixes linking with libxfce4gui (bxo#6939)
* Sun Jan 23 2011 gber@opensuse.org
- update xfce4-cpufreq-plugin to version 1.0.0
  - fixed support for Xfce 4.8
  - Linux 2.4 support
  - adapt text to the panel's size and orientation
  - use g_timeout_add_seconds for less wake-ups
  - warn once (and only once) about the lack of cpufreq support
  - bugfixes
  - translation updates
  - updateed the documentation
- removed obsolete xfce4-cpufreq-plugin-0.0.1.patch
- update diskperf plugin to version 2.3.0
  - support for Xfce 4.8 panel
  - bugfixes
  - translation updates
- removed obsolete
  xfce4-diskperf-plugin-2.2.0-fix-build-with-4.7.patch and
  xfce4-diskperf-plugin-2.2.0-fix-missing-libtool.patch
- added xfce4-weather-plugin-0.7.3-fix-memory-leaks.patch in order
  to fix several memory leaks (bxo#7067)
* Mon Jan 17 2011 gber@opensuse.org
- update xfce4-mpc-plugin to version 0.3.6
  - bugfixes
- dropped obsolete xfce4-mpc-plugin-0.3.5-fix-build-with-4.7.patch
* Sat Jan 15 2011 gber@opensuse.org
- apply last fix only on >= 1140
* Fri Jan 14 2011 gber@opensuse.org
- fix missing path substitution in desktop file
* Tue Jan 11 2011 gber@opensuse.org
- removed dependency on xfconf
* Fri Jan  7 2011 gber@opensuse.org
- added xfce4-sensors-plugin-1.0.0-fix-uninitialized-memory.patch
  which fixes a crash due to an unitialized pointer when no sensors
  are found
* Tue Jan  4 2011 gber@opensuse.org
- fixed typo in
  xfce4-smartbookmark-plugin-0.4.2-fix-desktop-file.patch
* Sat Jan  1 2011 gber@opensuse.org
- only handle xfce4-notes-autostart.desktop on >= 11.4
* Sat Jan  1 2011 gber@opensuse.org
- changed build dependency in order to fix compatibility with 11.3
- added xfce4-notes-plugin-1.7.7-fix-desktop-file.patch,
  xfce4-quicklauncher-plugin-1.9.4-fix-desktop-file.patch, and
  xfce4-smartbookmark-plugin-0.4.2-fix-desktop-file.patch in order
  to fix their desktop files which prevented them from loading
- changed xfce4-panel-plugins-rpmlintrc to ignore
  devel-file-in-non-devel-package due to panel plugins
* Fri Dec 31 2010 gber@opensuse.org
- streamlined build dependencies, added libcdio, libcddb,
  libunique, libmpd
- use more pkgconfig symbols for dependencies
- remove unsupported locales
- improved summaries/descriptions
- no need to own %%%%{_libexecdir}/xfce4 and
  %%%%{_libexecdir}/xfce4/panel-plugins since they are now owned by
  xfce4-panel-plugin
- made xfce4-panel-plugin-governor depend on hal
- made xfce4-panel-plugin-places depend on thunar-vfs
- made xfce4-panel-plugin-clipman and xfce4-panel-plugin-notes
  depend on xfconf
- split off xfce4-panel-plugin-clipman-doc subpackage
- split off xfce4-panel-plugin-sensors-devel
- use %%suse_update_desktop_file on .desktop files
- marked configuration files as such
- improved summaries/descriptions
- renamed rpmlintrc to xfce4-panel-plugins-rpmlintrc
- updated fsguard to version 1.0.0
  - translated to 11 new languages, for a total of 38
  - detect the file manager automatically
  - replace limits in MB to percents
- updated netload plugin to 1.0.0
  - translated in 23 more languages, for a total of 36, 32 of which
    are fully translations
  - add a unique icon
  - bugfixes
- dropped xfce4-netload-plugin-0.4.0-fix-build-with-4.7.patch and
  xfce4-netload-plugin-0.4.0.patch
- updated time-out to 1.0.0
  - translated into a total of 31 languages, with 15 at 100%%
  - allow setting the time with a precision in seconds, rather than
    minutes
  - added an about dialog
  - new optional resume button to be pushed at the end of the pause
  - new progress bar in the lock screen
- updated systemload to 1.0.0
  - translated into 34 languages, including 13 with a complete
    translation
  - adjust the way free memory is calculated
  - improve the accuracy of CPU activity measurements
  - make the plugin more compact visually
- updated verve to 1.0.0
  - translated into 7 more languages, for a total of 37, 36 of
    which are full translations
- dropped xfce4-verve-plugin-0.3.6-fix-build-with-4.7.patch
- backported xfce4-clipman-plugin-1.1.3-catch-null-value.patch from
  git in order to fix a crash due to dereferencing a NULL pointer
- backported xfce4-clipman-plugin-1.1.3-fix-memory-leak.patch from
  git in order to fix a memory leak
- dropped xfce4-clipman-plugin-1.1.3.patch as there is no need to
  patch the desktop file category
- added xfce4-xkb-plugin-0.5.3.3-check-retval.patch in order to fix
  a crash due to not checking the return value of
  gtk_combo_box_get_active_iter
- added xfce4-xkb-plugin-0.5.3.3-do-not-free-stack-memory.patch in
  order prevent freeing stack memory
- added xfce4-xkb-plugin-0.5.3.3-fix-array-size.patch in order to
  fix a creash due to an unterminated array
- updated sensors to 1.0.0
  - made min/max values for Fahrenheit work
  - maximum number of lines specifiable for text view
  - labels in text view possible
  - remember window size of configuration dialog
  - respect "suppress messages" for error dialogs with acpi/sysfs
- dropped xfce4-sensors-plugin-0.10.99.6-fix-build-with-4.7.patch
- dropped xfce4-sensors-plugin-0.10.99.6-initialize-pointers.patch
- dropped xfce4-sensors-plugin-0.10.99.6.patch
- backported xfce4-sensors-plugin-1.0.0-fix-memory-leaks.patch from
  git in order to fix a memory leak
- backported xfce4-sensors-plugin-1.0.0-fix-build-with-4.7.patch in
  order to fix build with newer panel
- backported xfce4-battery-plugin-0.5.1-no-battery.patch from git
  in order to correctly handle a missing battery
- backported xfce4-battery-plugin-0.5.1-use-sysfs.patch from git
  in order to get correct infomration for some systems from sysfs
- backported
  xfce4-battery-plugin-0.5.1-fix-fan-temperature-detection.patch
  in order to fix fan and temperature detection
- added xfce4-genmon-plugin-3.2-prevent-zombies.patch from Debian
  in order to prevent zombie processes
- added xfce4-genmon-plugin-3.2-close-unused-pipes.patch from
  Debian in order to close unused pipes
- backported xfce4-quicklauncher-plugin-1.9.4-save-settings.patch
  from git in order to make quicklaunches save its settings
- added
  xfce4-quicklauncher-plugin-1.9.4-fix-parameters-launcher.patch
  in order to fix the "Parameters" launcher
- added xfce4-quicklauncher-plugin-1.9.4-fix-multiscreen.patch from
  Debian in order to lauch applications on the right screen i
  multiscreen setups
- added
  xfce4-quicklauncher-plugin-1.9.4-add-missing-en-translation.patch
  from Debian in order to add the missing English translation
* Tue Dec  7 2010 gber@opensuse.org
- fixed build by owning directories
- enabled debuginfo pakages
- reenabled places plugin
  - added xfce4-places-plugin-1.2.0-fix-build-with-4.7.patch in
    order to fix exo API changes
- added xfce4-sensors-plugin-0.10.99.6-initialize-pointers.patch
  in order to fix a crash due to g_free'ing uninitialized pointers
* Fri Dec  3 2010 gber@opensuse.org
- updated battery plugin to 0.5.1
  - bugfixes
- added xfce4-battery-plugin-0.5.1-fix-missing-libtool.patch
  in order to fix build
- updated cpu-graph plugin to 1.0.1
  - Clean up, bug fixing and optimization
  - Support both 32 and 64 bits on all platforms, with multi core
    support on linux, OpenBSD and NetBSD
  - Bring back the fire color mode
  - Bring back the time scaling mode
  - Possibility to track only one CPU when you have several
  - More settings, with better defaults
  - Make the cpu bar graphs optional
- updated diskperf plugin to 2.2.0
  - replace some hand-made rounding by round()
  - show decimal values for I/O values
- added xfce4-diskperf-plugin-2.2.0-fix-missing-libtool.patch
  in order to fix build
- updated mailwatch plugin to 1.1.0
  - Enabled SSL support
  - Bugfixes
  - Update the new message counts for all mailboxes on startup, rather than
    waiting for the first interval timeout.
  - Add experimental IPv6 support.
  - Add an 'Update Now' menu item.
  - Add CRAM-MD5 authentication support for POP3 and IMAP.
  - Add about dialog.
  - Eliminated periodic wakeups to see if it is time to check mail again,
    mail-checking threads no longer run all the time improve
    resource-friendlinness
  - Allow non-square plugin buttons.
- added
  xfce4-mailwatch-plugin-1.1.0-fix-high-cpu-usage-while-checking-mail
  addressing bxo#4494
- updated mpc plugin to 0.3.5
  - add enable/disable outputs in rightclick menu
- updated notes plugin to 1.7.7
  - Bugfixes
  - Ported code to Vala 0.10
  - Make title bar more insensitive while window is unfocused
  - Show Go left/right buttons in the window
  - Remove the automatic navigation bar completely
  - Added new colors Android and GTK+
  - Set Notebook tab reorderable via drag and drop
  - Try to open a link with exo-open first
  - Properly save notes when leaving (handle UNIX TERM and INT
    signals)
  - Rework the GTK+ RC theme with custom scrollbars, a shaded
    title bar and replaced the close button against a self painted
    widget with Cairo
  - Align the note name in the title bar on the left near the menu
    icon
  - Reorganize right click title bar menu and add new item "About"
  - Renamed sub-menu "Go" into "Groups"
  - New right click menu option in panel "Add new group"
  - Updated build for Xfce 4.7 (compile in maintainer mode)
- updated radio plugin to 0.4.4
  - Bugfixes
- updated wavelan plugin to 0.5.6
  - Bugfixes and compatibility with XFCE 4.8pre1
- added xfce4-genmon-plugin-3.2-fix-build-with-4.7.patch
  xfce4-cellmodem-plugin-0.0.5-fix-build-with-4.7.patch,
  xfce4-diskperf-plugin-2.2.0-fix-build-with-4.7.patch,
  xfce4-netload-plugin-0.4.0-fix-build-with-4.7.patch,
  xfce4-verve-plugin-0.3.6-fix-build-with-4.7.patch,
  xfce4-mailwatch-plugin-1.1.0-fix-build-with-4.7.patch,
  xfce4-mpc-plugin-0.3.5-fix-build-with-4.7.patch,
  xfce4-cddrive-plugin-0.0.1-fix-build-with-4.7.patch,
  xfce4-sensors-plugin-0.10.99.6-fix-build-with-4.7.patch,
  xfce4-notes-plugin-1.7.7-add-missing-vapi-files.patch
  in order to fix build with XFCE 4.8pre1
- removed places plugin which relies on thunar-vfs
- removed useless smartpm plugin
- removed obsolete xfmedia-remote-plugin
- removed screenshoter plugin which has been split out into a
  separate package
* Thu May  6 2010 meissner@suse.de
- fixed 2 implicit warnings, 1 void return
* Wed Jan 13 2010 prusnak@suse.cz
- updated xfce4-notes-plugin to 1.7.2
  - Unique support has been introduced as a hard-dependency (because you just
    can't provide soft-dependencies when building from Vala sources)
  - The plugin is provided both as a panel plugin and as a standalone app that
    sits in the notification area (a menu item is available under Accessories)
  - A context menu to go to a specific notes-group appears in the context menu
    (right click the panel plugin or the systray icon)
  - Navigation bar can be set on/off in the settings dialog
  - The tabs can be positioned instead of only on/off
  - The top-right/left corners are no more resizable
  - A cursor handle to resize on the right/left is displayed
  - Some minor esthetic changes
  - Small bug fixes
  - Updated translations: Catalan, Latvian, Turkish, English (United Kingdom),
    Japanese, Indonesian, Greek, Dutch, Kazakh, Danish, Portuguese, Spanish,
    Hungarian, Galician, Slovak, Chinese (Simplified), Russian, Basque
* Thu Nov 26 2009 prusnak@suse.cz
- updated xfce4-clipman-plugin to 1.1.3
  - Fix empty clipboard when leaving Firefox (bug #5738)
  - Clipboard manager rewrote on top of GTK+ functions. It takes also the primary
    clipboard (mouse selections) into account.
  - Fix popup command not always working from keyboard shortcut (#bug 5909).
  - Update documentation.
* Thu Nov 19 2009 prusnak@suse.cz
- updated xfce4-clipman-plugin to 1.1.1
  * New option "Ignore selections" and dropped the option
    "Exclude from option"  that was bound to the "Sync selections".
    Now it is always possible to keep the selections in the history
    (as it was the case in older version).
  * Note about the regex nature in the actions dialog being always anchored.
- updated xfce4-mpc-plugin to 0.3.4
  * add user-configurable markup for playlist and tooltip
  * properly resize buttons icons
- updated xfce4-notes-plugin to 1.7.1
  * Show tabs option is back in the settings dialog
  * Deleting the last note also deletes the window (bug #5535)
  * Rework window default visiblity
  * Keep order of notes (bug #5534)
  * Updated translations
* Mon Aug 24 2009 prusnak@suse.cz
- fix Requires for xfce4-panel
- use %%find_lang macro for language files
- fix packaging bug of sensors plugin [bnc#533595]
* Fri Aug 14 2009 prusnak@suse.cz
- remove no longer needed removal of {a,la} files in libexecdir
* Fri Aug 14 2009 puzel@novell.com
- revert recent datetime, quicklauncher and smartbookmark
  libexecdir change - those plugins belong to libdir
* Wed Aug 12 2009 prusnak@suse.cz
- updated xfce4-places-plugin to 1.2.0
  * Updates a ton of translations
  * Adds XDG user dirs support
  * Uses XDG icon names
  * Shows "Eject" option on removable volumes when Thunar 1.0 does
  * Makes the properties dialog non-modal
  * Honors GTK's menu icon size (bug #4744)
  * Calls the file browser through exo instead of directly opening Thunar
  * Fixes some issues on shutdown
  * Takes advantage of the panel's menu positioning on Xfce 4.6
- updated xfce4-weather-plugin to 0.7.3
  * fix directory creation problem
  * remove weather.com logo, and instead download it from their website the first time it's needed
  * implement label change on mouse scroll
* Wed Aug 12 2009 puzel@novell.com
- xfce4-xkb-plugin-0.5.3.3.patch
  - fix build
- install plugins to %%%%libexecdir:
  - xfce4-datetime-plugin-0.6.1.patch
  - xfce4-quicklauncher-plugin-1.9.4.patch
  - xfce4-smartbookmark-plugin-0.4.2.patch
* Tue Jul 28 2009 coolo@novell.com
- update patches to avoid fuzz
* Tue Jul 14 2009 prusnak@suse.cz
- updated xfce4-clipman-plugin to 1.0.2
  - Renamed option "Add selections" to "Sync selections".
  - New option to ignore selections in the history.
  - If the plugin is running inside the notification area, ask the user if the
    clipboard manager should be restarted on the next login when it gets removed.
  - Escape markups in action/commands in edit dialog.
  - Set OnlyShowIn in the desktop entry file for the menu.
  - Open the documentation in the user locale.
  - Mention xfce4-popup-clipman in the documentation.
- updated xfce4-weather-plugin to 0.7.0
  * Don't require 'http://' to be in the $HTTP_PROXY environment variable.
  * Use ipinfodb.com to automatically set the location at the first startup
    of the plugin instance (when no location is set).
  * Some fixes to the location handling: better search dialog with buttons
    that enable/disable when appropriate, focus handling to allow for a quick search.
    Display the location name instead of code in the configuration panel
    (and make it non-editable once chosen), and store the display name along
    the location code (which could help us  migrate to/add another provider
    transparently if ever needed).
* Sun Jul 12 2009 coolo@novell.com
- fix file list
* Sun Jul 12 2009 coolo@novell.com
- disable as-needed to fix build
* Mon Jun 22 2009 prusnak@suse.cz
- updated xfce4-notes-plugin to 1.7.0
  - Renamed "Window" to "Group"
  - Support for hyperlinks in the notes to click'n'open
  - New window menu layout with a submenu "Go" to navigate through the notes
  - Reworked settings dialog
  - Standalone application xfce4-notes-settings
  - Dropped the show tabs option in favor of a navigation bar
  - Made the font option global instead of per window
  - Switched the default Xfconf channel from xfce4-notes-plugin to xfce4-panel
    with the base property /plugins/notes
  - Rewritten with Vala objects, mostly based on the existing code from notes.c
  - HypertextView, Note, Window and Application
  - Note is a dummy Gtk.Bin that wraps a ScrolledWindow with a HypertextView
    and sends save-data signals as needed
  - Application builds notes, uses Xfconf settings and saves data on-disk
  - Updated translations: Romanian, Greek, Ukrainian, Polish, Spanish, Brazilian
    Portuguese, Catalan, Italian, Galician, Swedish, Portuguese, Indonesian,
    German, Simplified Chinese, Urdu, Urdu Pakistan, Czech, Turkish, Japanese,
    Danish, Vietnamese, Dutch
- updated xfce4-screenshooter to 1.6.0
    Gtk+ 2.12 and Glib 2.16 are now required to build the application
    and the panel plugin. Xml-rpc and libcurl are now optionnal dependencies,
    they should be replaced by libsoup in the future.
  * Bugs fixed:
  - The cursor was missplaced when taking a screenshot of a window (Bug #5204).
  * Enhancements:
  - Add an optional action to host screenshots on ZimageZ, a free online image
    hosting solution.
  - Add an option in the user interface to hide the mouse pointer on screenshots.
  - Add an option in the application which allows the user to choose
    whether the application should be closed after taking a screenshot. This
    allows the user to take several screenshots in a row.
  - New user interface based on Fabrice Viale's review. The dialog now has a
    two column layout which makes it more appealing and more usable.
  - Add a CLI option to hide the mouse pointer on screenshots.
  - When selecting a region to be screenshooted, you can now use the Escape
    keyboard key to cancel the operation.
  - Screenshots can now be saved to remote locations that are connected using
    gvfs-connect or Gigolo.
  - Updated translations for the application and the documentation.
- updated xfce4-weather to 0.6.4
  * Add a Forecast menu item for completeness.
  * Fix bug #4641, "Unreadable icons". Fix the fog icon,
    and also fix a few mismatches.
  * Fix bug #5471, "Destroying summary
    window opens up help window". Thanks to Erik Xian.
  * Use g_timeout_add_seconds when possible.
  * Fix bug #4219, "animation when switching between
    2+ values is too distracting": Add a preference for label animation.
  * Check the HTTP_PROXY environment variable
    both upper and lower case.
* Fri Apr 24 2009 prusnak@suse.cz
- updated xfce4-clipman-plugin to 1.0.0
  * Major rewrite of the plugin using GObjects and Xfconf.
  * The external plugin is provided as a bundle, it can be added to the Xfce
    Panel and executed as a standalone application living inside the notification
    area. An item is installed inside the applications menu.
  * New feature "Actions" which brings the possibility to execute commands on
    specific text selections by matching them against regexes.
  * Takes ownership over CLIPBOARD_MANAGER.
  * Documentation
- updated xfce4-radio-plugin to 0.4.2
  * The "stop facing the wrong direction"-release
  * The plugin now behaves when the panel orientation changes
  * Made synchronizing state with the card optional
  * Can now show the current preset's name in the label instead of the frequency
- updated xfce4-wavelan-plugin to 0.5.5
  * Merge various patches from NetBSD and FreeBSD, 'should' work everywhere now.
  * Totally revamped GUI, courtesy of Johan van der Slikke
  * Show signal strengh in dBm on BSDs, in %% on Linux
  * Various bugfixes, localized config dialog is fixed
* Mon Mar  9 2009 prusnak@suse.cz
- updated xfce4-notes-plugin to 1.6.4
  * Resize handle all around the window
  * Resize cursors display at the bottom of the window
  * Clean up the settings dialog and the window menu
  * New settings: background color and show tabs
  * Renamed option Hide Tabs to Show Tabs
  * Remember the last tab on quit
  * New translations: Italian, Swedish, Turkish
  * Updated translations: Czech, Danish, Finish, French, Galician, Japanese, Polish
- updated xfce4-xkb-plugin to 0.5.3.3
* Wed Feb 25 2009 prusnak@suse.cz
- updated xfce4-screenshooter-plugin to 1.5.1
  * do not respawn the application after taking a screenshot, it can be annoying
  * fix build without Gio (#4894)
  * do not use a verb for the desktop file title (#4914)
  * set the correct folder in the filechooser when using the -s CLI option
  * fix a crash of the panel plugin involving the "Open with" list (#4971)
  * also take the mouse pointer when taking a screenshot
  * plug a remaining leak
* Tue Feb 17 2009 prusnak@suse.cz
- updated xfce4-clipman-plugin to 0.9.0
  * Fix a leak by freeing the ClipmanAction structs
  * Fix a free corruption by allocating the correct size for the string array
  * Don't show the tabs in the settings dialog and use the gtk-paste icon
  * Backport from xfce-4-6 branch to save/load the history to/from cached
    files living inside ~/.cache.
  * Lookup the GdkWindow of the owner to notice if the clipboard was set
    from within Clipman and drop the IgnoreSignal variable (patch from
    David Collins)
  * Update the settings dialog
  * Move everything to the General tab
  * Fix g_free(clip) against panel_slice_free(clip)
  * Add dependency on exo and use exo_gdk_pixbuf_scale_ratio to create a
    preview of the image inside the menu
  * Don't save image data inside the rc file
  * Left two topics as TODO inside the code
  * At last but not least, bump release to 0.9.0
  * Introduce a single pixbuf storage inside the plugin
  * Drop the behaviors NORMAL and STRICTLY
  * Drop PREVENTEMPTY which will be the case by default
  * Replace IGNORESELECT against ADDSELECT to avoid double negation reads
    in the code
  * New definitions ClipDataType and ClipMenuFormat
  * Keep an index of the latest clipboard in the plugin struct for easier
    find on menu item clicks
  * Display always one list in the menu, thus merge the functions
    clipman_clicked_separated and not_separated
  * The clipboards are checked out on events with the owner-change signal
    from the GtkClipboards classes
* Tue Feb 17 2009 prusnak@suse.cz
- updated xfce4-screenshoter-plugin to 1.5.0
  * Bugfixes:
  - Fix some compiler warnings.
  - Fix in typo in the desktop file for the application and the
    plugin.
  - Plug some leaks when saving a screenshot and when saving
    preferences in the panel plugin.
  * Enhancements:
  - Updated translations.
  - Indonesian documentation.
  (from 1.4.90)
  * Bugfixes:
  - correctly grab active windows. In particular, menus are grabbed
    now (bug #4611).
  - correctly save the preferences, even if ~/.config/xfce4 does
    not exist. Thanks to Nick Schermer for the explanations.
  - when saving the screenshot fails, show an error dialog
    explaning why it failed.
  - fix some remaining crashes when taking a screenshot of the active
    window.
  - only read the preferences file once when opening the application.
  - don't automatically set filenames in the file chooser, as user set
    ones are overriden (bug #4748).
  * Enhancements:
  - Use -V for the version CLI option.
  - Add possibility to copy the screenshot to the clipboard, thanks to
    David Collins.
  - Add possibility to define region to be captured using the mouse,
    thanks to David Collins.
  - Add CLI options for the region selection and to open the
    screenshot with an application.
  - The dialog for the plugin preferences and the application has been
    totally rewritten to improve the user interface: it should look
    cleaner and tooltips have been added. Work started by David
    Collins.
  - When using delay, detect the area to screenshot after the delay,
    and not before, as it caused weird results in some cases.
  - Add a documentation accessible from the application and the panel
    plugin.
* Tue Feb 17 2009 prusnak@suse.cz
- updated xfce4-radio-plugin to 0.4.1
  * The "let them worry about the details"-release
  * We are now using the v4l/v4l2 functionality from gnomeradio
  * Increased the default maximum signal strength value from 2 to 3
  * Deactivated debug output on default builds
  * The "thanks for all the patches"-release (0.4.0)
  * We now use a clearly-defined name for the config file (xfce4/panel/radio.rc)
  * Switched to a new config file format (old files are auto-imported)
  * Fixes for non-ASCII (eg. UTF8) station preset names
  * We now auto-learn the maximum signal strength for your card
  * Can now disable the synchronization with external apps
  * New, fancy preset dialog
* Mon Nov 24 2008 prusnak@suse.cz
- updated xfce4-fsguard-plugin to 0.4.2
  * Reverse progress fraction
- updated xfce4-notes-plugin to 1.6.3
  * Clean up with new default settings and small fixes
  * Undo/Redo feature (Ctrl-Z to undo, and again to redo)
  * Hide Tabs option
  (from 1.6.2:)
  * Add properties dialog (need xfconf at build-time)
  - Default configuration
  - New window configuration
  * Display an optional arrow beneath the panel plugin button
    to show the menu
  * Updated translations
- updated xfce4-timer-plugin to 0.6.1
  * Committed Fabian Nowak improvements on the UI.
- updated xfce4-verve-plugin to 0.3.6
  * depend on pcre 5.0
  * fix crash when entering a command before the completion
    was initialized
- updated xfce4-xmms-plugin to 0.5.2
  * Fix crash with invalid UTF-8 song titles (when using simple
    title format)
- fix build on s390
* Wed Nov 19 2008 prusnak@suse.cz
- updated xfce4-datetime-plugin to 0.6.1
  * Fixed an illegal memory access after free.
  * Made default font sizes equal for date and time.
  * Updated translations.
- updated xfce4-screenshooter-plugin to 1.4.0
  * Fix build with --disable-maintainer-mode on some configurations.
- fix build (cpugraph.patch, screenshooter.patch)
- fix desktop files (screenshooter.patch, sensors.patch)
* Fri Nov 14 2008 prusnak@suse.cz
- updated xfce4-screenshotter-plugin to 1.3.9.3
  * Hopefully fix bug 4601, crash with "BadWindow" X error.
  * Fix bug 4571.
  * Translations:
    Basque (Piarres Beobide), German (Fabian Nowak), Spanish (Abel Martín),
    Indonesian (Andhika Padmawan), Japanese (Nobuhiro Iwamatsu),
    Dutch (Vincent Tunru), European Portuguese (Nuno Miguel).
- updated xfce4-sensors-plugin to 0.10.99.6
  * New Xfce-style header
  * border around sensors scrolled window /  treeview
  * Stand-alone application with temperature-unit-choser and all
    sensor values at a glance
  * libnotify support for error messages
  * Netcat support for hddtemp
  * hard disk name swhen used with netcat
  * Added support for sysfs for linux 2.6.24++ but still without good
    checks in configure.in.in
  * Some translations updated by various people
- updated xfce4-xkb-plugin to 0.5.2
  * Translations updates
  * added a hidden option - never_modify_config - GUI elements
    for layout configuration are not disabled
* Fri Oct 17 2008 bwalle@suse.de
- Fix build.
* Sat Oct 11 2008 bwalle@suse.de
- Don't build the xfce4-screenshooter-plugin on SLE 10 because
  the xorg-x11-proto-devel package does not exist in the repo.
* Wed Oct  8 2008 bwalle@suse.de
- Fix build: xfce4-netload-plugin, error:
  Statement might potentially overflow a destination buffer.
- Don't install static libraries.
* Fri Jul 25 2008 prusnak@suse.cz
- updated xfce4-datetime-plugin to 0.6.0
  * almost entirely a bug fix release
- updated xfce4-screenshooter-plugin to 1.3.1
  * Fix -s switch with relative path.
  * New CLI option to save screenshots without showing a save dialog.
  * New CLI option to set the save directory.
  * New CLI option to set a default save directory, saved in a rc file.
  * Fix: generate file names correctly, screenshots should now be
    saved in the correct place, whatever mode is being used.
  * A lot of updated/new translations.
  * Fix gcc warnings.
  * Add manpage taken from Debian package.
  * Cleaned the preferences dialog to make it look like the ones of
    others panel plugins. Use frames to separate different options.
  * Added default save location to the plugin.
  * Fix: the executable sometimes opened the save dialog in weird places,
    now it shows the home directory by default.
  * Some others code cleanups.
* Mon Jul  7 2008 prusnak@suse.cz
- updated xfce4-panel-plugin-sensors to SVN rev 5029
  * support for libsensors4 API
* Fri Jul  4 2008 bwalle@suse.de
- update xfce4-cpugraph-plugin to 0.4.0
  (no upstream changelog provided)
* Wed Jun 18 2008 prusnak@suse.cz
- removed xfce4-dict-plugin
  * moved to a separate package (xfce4-dict)
- updated xfce4-mount-plugin to 0.5.5
  * added option to exclude device names and only show mount points
  * changed some code for the LVM renaming
  * updated German translation
  * allow UUID device points
- updated xfce4-places-plugin to 1.1.0
  * "xfce4-popup-places" command to open the menu
  * Error messages when mounts/unmounts fail
  * Grays out panel icon while busy (un)mounting
  * Multiple bug fixes and enhancements (see ChangeLog)
- updated xfce4-radio-plugin to 0.3.1
  * Properly initialize the shutdown command
  * Added an option to run a command at startup
  * The plugin now realizes when a third party changes the tuner
  * Changed one occurrence of VIDIOCSAUDIO to VIDIOCGAUDIO
  * Increased MAX_COMMAND_LENGTH to 512
  * Added a lot of translations (thanks to the translators!)
  * Fixed a bug where the plugin would segfault when it was removed
    from the panel
- updated xfce4-screenshooter-plugin to 1.1.0
  * Delay now works.
  * Canceling save now works.
  * Executable to take screenshots from cli or with a keybinding.
  * Many code improvements.
  * Updated Brasilian, Croatian, Dutch, French and German translations.
* Mon Apr 21 2008 bwalle@suse.de
- fix missing expression in return (bnc#380169)
* Thu Mar 27 2008 prusnak@suse.cz
- updated xfce4-mpc-plugin to 0.3.3
  * pretty-print tracks in playlist and tooltip
  * don't show multiple instances of playlist
  * fix dumb segfaults when connection is dropped by MPD
  * add aboutbox (useless, hence necessary)
* Mon Mar 17 2008 bwalle@suse.de
- fix build for xfce4-battery-plugin-0.5.0 with latest
  linux-kernel-headers update in Factory/11.0
* Sun Mar 16 2008 bwalle@suse.de
- update xfce4-genmon-plugin to 3.2
  o Add the feature of using ~/ (instead of /home/user/)
  o Display XXX if the spawn of the command failed
* Fri Mar 14 2008 prusnak@suse.cz
- updated xfce4-clipman-plugin to 0.8.1
  * generate fine UTF-8 titles with ellipsis
  * use gtk_menu_item_new_with_label which aligns the label on the left by default
- updated xfce4-dict-plugin to 0.3.0
  * don't use C++-style comments and fix some compiler warnings
  * when dragging text into the main entry text field, delete the previous
    text before to not append the dragged text
  * when changing the search method in the main window, put the input
    focus back to the text entry.
  * add xfce4-popup-dict command to show the main window and/or grab the input
    focus to the text field in the panel
  * remove wrong additional space before colons
  * fix small memory leak
  * always store all settings from the properties dialog
  * remove search mode selection from properties dialog
  * add aspell support (should also work with ispell)
  * added search method radio buttons
  * fixed missing application icon in taskbar and window frame
  * added missing include of stdlib to avoid compiler warnings
  * fixed possible crashes when showing the main window after it was closed
* Fri Jan 25 2008 bwalle@suse.de
- update xfce4-fsguard-plugin to 0.4.1
  o Switch "Hide button" with "Display button"
  o Replace xfce_themed_icon with gtk_icon_theme
  o Some GUI tweaks in the dialog
  o Display natural numbers in MB
  o Replace the label with a checkbox+label for the name
* Wed Dec 26 2007 bwalle@suse.de
- update xfce4-timer-plugin to 0.6
  o Fix http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=456316
  o Use XfceTimer.rc file to permanently remember settings.
  o Add a workaround for settings not saving correctly
- dropped xfce4-timer-plugin-0.5.1.patch, issue was fixed upstream
- update xfce4-notes-plugin to 1.6.1
  o add file system monitoring
  o some bugfixes
* Wed Dec 12 2007 bwalle@suse.de
- update xfce4-sensors-plugin to 0.10.99.3
  o hddtemp support is working again with automatic path detection
  o acpi stuff should basically work
  o status values like alarms or the acpi fans are treated as on/off
    now
  o few memory leaks have been removed
  o working with libsensors4
* Tue Dec  4 2007 prusnak@suse.cz
- updated package version to 4.4.2
- fixed build of xfce4-notes on 10.3+
* Tue Dec  4 2007 bwalle@suse.de
- disable xfce4-notes-plugin for openSUSE < 10.2
* Sun Nov 25 2007 bwalle@suse.de
- update to xfce4-notes-plugin 1.6.0
  o complete rewrite
  o old notes will not work
  o old configuration will not work either
* Sun Nov 18 2007 bwalle@suse.de
- update to xfce4-weather-plugin 0.6.1
  o Hide event box window.
  o Improved icon handling.
  o Fix 100%% CPU usage when there is no connection.
  o Plugin works on FreeBSD and some other minor issues.
* Tue Nov  6 2007 prusnak@suse.cz
- updated xfce4-sensors-plugin to 0.10.99.2
* Fri Nov  2 2007 jdelvare@suse.de
- libsensors is in a separate package now.
* Fri Oct 26 2007 bwalle@suse.de
- update to xfce4-fsguard-plugin 0.4.0
  o New icons
  o New layout for the properties dialog
  o Possibility to customize the GUI (all items are optional)
  o New meter and label to display the free space
- update to xfce4-places-plugin 1.0.0
  o Added "Mount and Open" action for removable media
  o Fixed make distcheck errors
  o Fixed menu "blinking" when ~/.gtk-bookmarks not found
  o Fixed always showing "No items found" in recent documents with
    GTK 2.12
  o Adopted menu positioning from notes plugin for improved
    behavior with floating panels
* Sun Oct 21 2007 bwalle@suse.de
- update to xfce4-fsguard-plugin 0.3.99.1
  o Set default plugin icon to xfce4-fsguard-plugin-warning
  o Rename the "progress bar" to "meter"
  o Fix size of plugin and border around the GtkProgressBar
  o Reworked option dialog
  o A fixed intltool-merge script
* Sun Oct 21 2007 bwalle@suse.de
- update to xfce4-sensors-plugin 0.10.99-1
  o cleaned settings interface
  o possibility to use the plugin for hddtemp or ACPI only
  o removal of some bugs
  o adherences to the xfce standard for the sensor bars in the
    graphical view
- update to xfce4-sensors-plugin 0.10.99-1
  o cleaned settings interface
  o possibility to use the plugin for hddtemp or ACPI only
  o removal of some bugs
  o adherences to the xfce standard for the sensor bars in the
    graphical view
- update xfce4-fsguard-plugin 0.3.99.1
  o New options to display the amount of free space in a text label
    and in a progress bar, and the possibility to hide the button
    in the panel
  o New icons based on Tango
  o Redefined the strings
  o Bug fixes and code cleanup
- add xfmedia-remote plugin
- enable cddrive plugin for 10.3 now because HAL has been
  upgraded
- updated xfce4-places-plugin to 0.9.991
  o Adds mount/unmount options for volumes (removable media)
  o Adds Open Terminal Here option where applicable
  o Search for Files with an external application
  o The trash icon now shows whether there's anything in the trash
  o Large internal clean-up
  o Other minor bug fixes
- updated xfce4-time-out-plugin to 0.1.1
  o Properly display remaining minutes when seconds are not
    displayed
  o Fix license headers.
  o Change LDFLAGS to LDADD in Makefile.am to fix compilation with
  - -as-needed.
  o Save settings properly
  o Make it possible to hide hours and seconds in the lock screen.
  o After closing the properties dialog, only restart the countdown
    if the countdown time has changed.
  o  New languages available: French, Hungarian.
- updated xfce4-quicklauncher-plugin to 1.9.4
  o add support for tooltips
  o allow adding more space between launcher
  o allow adding labels to the launchers
- replaced group 'System/GUI/Other' by 'System/GUI/XFCE'
* Thu Aug  9 2007 jdelvare@suse.de
- Exclude sensors plugin from s390 build.
* Fri Jun 22 2007 prusnak@suse.cz
- ignore desktop files in /usr/share/xfce4/panel-plugins (rpmlintrc)
* Thu Jun 21 2007 prusnak@suse.cz
- added -fno-strict-aliasing to CFLAGS (because of xfce4-xmms-plugin)
- fixed 64bit issue (xfce4-cpufreq-plugin-0.0.1.patch)
- fixed char* comparison with literal (xfce4-places-plugin-0.3.0.patch)
- fixed double usage of "_()" (xfce4-timer-plugin-0.5.1.patch)
- fixed missing header (xfce4-timer-plugin-0.5.1.patch)
- fixed missing header (xfce4-xmms-plugin-0.5.1.patch)
- 'no' locale is deprecated, 'nb' is used now (xfce4-mount-plugin-0.5.1.patch)
* Wed May 30 2007 bwalle@suse.de
- update xfce4-mpc-plugin to 0.3.2
  o fixed various bugs when running against MPD 0.12.2 or 0.13
    (thanks drac)
  o fixed stupid bug, first track was not shown in playlist
  o rewritten parser in simple-libmpd.c using g_* funcs
- change version of the package to 4.4.1 since Xfce 4.4.1 is
  the current release
* Wed May 23 2007 prusnak@suse.cz
- change libusb to libusb-devel in BuildRequires
* Tue May 22 2007 prusnak@suse.cz
- sync with BuildService
* Thu May 17 2007 bwalle@suse.de
- updated xfce4-places-plugin to 0.3.0
  o Adds preferences dialog (optionally show a label on the panel)
  o Thunar now opens when middle-clicking the button (Bug #3239)
  o Bug fixes
    · #3237: Places won't compile on Debian testing
    · With no .gtk-bookmarks, the menu showed two consecutive
    separators
* Wed May  9 2007 prusnak@suse.cz
- added plugins:
  * xfce4-smartpm-plugin (0.1.2)
  * xfce4-timeout-plugin (0.1.0)
* Tue Apr 24 2007 prusnak@suse.cz
- enabled building of xfce4-places-plugin only on 10.2+
  * undefined reference to `g_object_ref_sink' on 10.1
  * various errors in model_user.c on 10.0
* Sun Apr 22 2007 bwalle@suse.de
- updated xfce4-places-plugin to 0.2.0
  o Support for volumes (removable media), recent documents
  o Now has 35 translations, taken from Thunar and gnome-panel.
  o Rewritten view based on xfdesktop’s menu and .gtk-bookmarks
    parsing based on Thunar’s parser
  o Many bug fixes
    · Places button activated when dragged away
    · Places ignores orientation-changed
    · Places shows missing menu items
    · Auto-hidden panel hides on plugin activation
* Thu Mar 22 2007 prusnak@suse.cz
- added plugins:
  * cellmodem (0.0.5)
  * cpufreq (0.0.1)
  * cpugraph (0.3.0)
  * dict (0.2.1)
  * fsguard (0.3.0)
  * mailwatch (1.0.1)
  * notes (1.4.1)
  * places (0.0.9)
  * quicklauncher (1.9.2)
  * radio (0.2.0)
  * screenshooter (1.0.0)
  * sensors (0.10.0)
  * smartbookmark (0.4.2)
  * timer (0.5.1)
  * xmms (0.5.1)
- updated plugins:
  * datetime (0.5.0)
  * verve (0.3.5)
- reworked spec file
* Sun Mar  4 2007 bwalle@suse.de
- added mount plugin
* Fri Feb  9 2007 pnemec@suse.cz
- added xfapplet-plugin with gnome dependency
* Mon Feb  5 2007 bwalle@suse.de
- added xfce4-wavelan-plugin 0.5.4
* Sun Jan 28 2007 ro@suse.de
- no main package, no debuginfo
* Sun Jan 28 2007 bwalle@suse.de
- added xfce4-genmon-plugin 3.1
- added xfce4-mpc-plugin 0.3.1
* Fri Jan 26 2007 stbinner@suse.de
- fix build
* Sun Jan 21 2007 bwalle@suse.de
- fixed build on SUSE 10.0, datetime plugin doesn't use libexecdir
  but libdir
* Sun Jan 21 2007 bwalle@suse.de
- added xfce4-weather-plugin 0.6.0
- added xfce4-battery-plugin 0.5.0
- added xfce4-xkb-plugin 0.4.3
- added xfce4-diskperf-plugin 2.1.0
* Sat Jan 20 2007 bwalle@suse.de
- updated xfce4-systemload-plugin to 0.4.2
  o fix some compile problems with -Wl,--as-needed
  o improve the preferences dialog
- updated xfce4-clipman-plugin to 0.8.0
  o small changes
- updated xfce4-eyes-plugin to 4.4.0
  o version bump for the 4.4.0 release
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 pnemec@suse.cz
- update to 4.2.3
* Tue Nov 15 2005 pnemec@suse.cz
- remove *.a *.la files and added xfce4-panel-devel to requires for
  build
* Mon Aug  1 2005 cthiel@suse.de
- fixed Requires
* Wed May 18 2005 cthiel@suse.de
- update to 4.2.2
* Wed Apr 13 2005 cthiel@suse.de
- update to 4.2.1
* Thu Nov  4 2004 mmj@suse.de
- locale rename: no -> nb
* Mon May 17 2004 ltinkl@suse.cz
- initial version
